Revert "Avoid ci-management archiving files twice" 99/20699/2
authorPeter Mikus <pmikus@cisco.com>
Wed, 17 Jul 2019 13:30:53 +0000 (13:30 +0000)
committerPeter Mikus <pmikus@cisco.com>
Wed, 17 Jul 2019 13:31:06 +0000 (13:31 +0000)
This reverts commit ccfe499e2a27f2caf234ecbb2ec948120810eab6.

Change-Id: I076bdaf255f6fa5cc6b0f25926850d62f450fd94
Signed-off-by: Peter Mikus <pmikus@cisco.com>
resources/libraries/bash/entry/bootstrap_verify_perf.sh
resources/libraries/bash/entry/bootstrap_vpp_device.sh
resources/libraries/bash/entry/per_patch_device.sh
resources/libraries/bash/entry/per_patch_perf.sh
resources/libraries/bash/function/common.sh

index 1e742c5..b9299b1 100644 (file)
@@ -48,4 +48,5 @@ select_tags || die
 compose_pybot_arguments || die
 run_pybot || die
 untrap_and_unreserve_testbed || die
+copy_archives || die
 die_on_pybot_error || die
index 32c77c9..209943f 100755 (executable)
@@ -45,4 +45,5 @@ activate_docker_topology || die
 select_vpp_device_tags || die
 compose_pybot_arguments || die
 run_pybot || die
+copy_archives || die
 die_on_pybot_error || die
index 4c9399a..ac2c4a4 100644 (file)
@@ -55,5 +55,6 @@ activate_docker_topology || die
 select_vpp_device_tags || die
 compose_pybot_arguments || die
 run_pybot || die
+copy_archives || die
 archive_test_results "csit_current" || die
 die_on_pybot_error || die
index fd2d789..195d1a7 100644 (file)
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-# Copyright (c) 2019 Cisco and/or its affiliates.
+# Copyright (c) 2018 Cisco and/or its affiliates.
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at:
@@ -70,6 +70,7 @@ for ((iter=0; iter<iterations; iter++)); do
     select_build "build_parent" || die
     check_download_dir || die
     run_pybot || die
+    copy_archives || die
     archive_parse_test_results "csit_parent/${iter}" || die
     die_on_pybot_error || die
     # TODO: Use less heavy way to avoid apt remove failures.
@@ -77,6 +78,7 @@ for ((iter=0; iter<iterations; iter++)); do
     select_build "build_current" || die
     check_download_dir || die
     run_pybot || die
+    copy_archives || die
     archive_parse_test_results "csit_current/${iter}" || die
     die_on_pybot_error || die
 done
index 549688f..a7f79e0 100644 (file)
@@ -286,6 +286,31 @@ function compose_pybot_arguments () {
 }
 
 
+function copy_archives () {
+
+    # Create additional archive if workspace variable is set.
+    # This way if script is running in jenkins all will be
+    # automatically archived to logs.fd.io.
+    #
+    # Variables read:
+    # - WORKSPACE - Jenkins workspace, copy only if the value is not empty.
+    #   Can be unset, then it speeds up manual testing.
+    # - ARCHIVE_DIR - Path to directory with content to be copied.
+    # Directories updated:
+    # - ${WORKSPACE}/archives/ - Created if does not exist.
+    #   Content of ${ARCHIVE_DIR}/ is copied here.
+    # Functions called:
+    # - die - Print to stderr and exit.
+
+    set -exuo pipefail
+
+    if [[ -n "${WORKSPACE-}" ]]; then
+        mkdir -p "${WORKSPACE}/archives/" || die "Archives dir create failed."
+        cp -rf "${ARCHIVE_DIR}"/* "${WORKSPACE}/archives" || die "Copy failed."
+    fi
+}
+
+
 function deactivate_docker_topology () {
 
     # Deactivate virtual vpp-device topology by removing containers.